#sys_eeprom Makefile

SYS_EEPROM_DIR := sys_eeprom
SYS_EEPROM_FLAGS :=  -O0 -g -ggdb -lz
SYS_EEPROM_TARGETS:= mlx-onie-syseeprom

SYS_EEPROM_OBJECTS_DIR ?= $(SYS_EEPROM_DIR)

$(SYS_EEPROM_OBJECTS_DIR)/$(SYS_EEPROM_TARGETS): $(SYS_EEPROM_OBJECTS_DIR)/sys_eeprom.o \
	$(SYS_EEPROM_OBJECTS_DIR)/onie_tlvinfo.o $(SYS_EEPROM_OBJECTS_DIR)/mellanox_i2c_access.o
	$(CC) $(CFLAGS) $(SYS_EEPROM_FLAGS) $(LDFLAGS) -o $@ $^ -lmellagra

$(SYS_EEPROM_OBJECTS_DIR)/sys_eeprom.o: $(SYS_EEPROM_DIR)/sys_eeprom.c \
	$(SYS_EEPROM_DIR)/onie_tlvinfo.c $(SYS_EEPROM_DIR)/onie_tlvinfo.h \
	$(SYS_EEPROM_DIR)/sys_eeprom_platform.h
	$(CC) $(CFLAGS) $(LD_FLAGS) $(SYS_EEPROM_FLAGS) -c $< -o $@

$(SYS_EEPROM_OBJECTS_DIR)/onie_tlvinfo.o: $(SYS_EEPROM_DIR)/onie_tlvinfo.c \
	$(SYS_EEPROM_DIR)/onie_tlvinfo.h $(SYS_EEPROM_DIR)/mellanox_i2c_access.h \
	$(SYS_EEPROM_DIR)/sys_eeprom_platform.h
	$(CC) $(CFLAGS) $(LD_FLAGS) $(SYS_EEPROM_FLAGS) -c $< -o $@

$(SYS_EEPROM_OBJECTS_DIR)/mellanox_i2c_access.o: $(SYS_EEPROM_DIR)/mellanox_i2c_access.c \
	$(SYS_EEPROM_DIR)/mellanox_i2c_access.h
	$(CC) $(CFLAGS) $(LD_FLAGS) $(SYS_EEPROM_FLAGS) $(MELLANOX_I2C_ACCESS_INCLUDES) -c $< -o $@

all-sys_eeproms: $(addprefix $(SYS_EEPROM_OBJECTS_DIR)/,$(SYS_EEPROM_TARGETS))

clean-sys_eeproms:
	$(RM) $(addprefix $(SYS_EEPROM_OBJECTS_DIR)/,*.o $(SYS_EEPROM_TARGETS))

all: all-sys_eeproms

clean: clean-sys_eeproms

INSTALL_DESTINATION_FOLDER = $(DESTDIR)/$(bindir)
install: all-sys_eeproms
	$(INSTALL_DIR) $(INSTALL_DESTINATION_FOLDER)
	$(INSTALL) $(SYS_EEPROM_OBJECTS_DIR)/$(SYS_EEPROM_TARGETS) $(INSTALL_DESTINATION_FOLDER)
